extern int create_memory_objects(
				 int platform_index,
				 int device_index,
				 int array_size,
				 float* a,
				 float* b,
				 cl_mem* memObjects,
				 int monitor
				 );

extern int check_result(
			int platform_index,
			int device_index,
			int array_size,
			float* result,
			cl_mem* memObjects,
			int monitor
			);

extern int execute_kernel_2_CPU(
				int platform_index,
				int device_index,
				int kernel_index,
				int array_size,
				cl_mem* memObjects,
				int monitor
				);

extern int execute_kernel_3_CPU(
				int platform_index,
				int device_index,
				int kernel_index,
				int array_size,
				cl_mem* memObjects,
				int monitor
				);

extern int execute_kernel_0_GPU(
				int platform_index,
				int device_index,
				int kernel_index,
				int array_size,
				cl_mem* memObjects,
				int monitor
				);

extern int execute_kernel_1_GPU(
				int platform_index,
				int device_index,
				int kernel_index,
				int array_size,
				cl_mem* memObjects,
				int monitor
				);

extern int execute_kernel_2_GPU(
				int platform_index,
				int device_index,
				int kernel_index,
				int array_size,
				cl_mem* memObjects,
				int monitor
				);

extern int execute_kernel_3_GPU(
				int platform_index,
				int device_index,
				int kernel_index,
				int array_size,
				cl_mem* memObjects,
				int monitor
				);

