
__kernel void vecadd_2_blocks_kernel(__global const float *a,
				     __global const float *b,
				     __global float *result,
		                     const int size,
				     const int size_per_thread)
{
  int gid = get_global_id(0);
  int index_start = gid * size_per_thread;
  int index_end = (gid+1) * size_per_thread;

//  for (int i=index_start; i < index_end && i < size; i++) {	
  for (int i=index_start; i < index_end ; i++) {	
    result[i] = a[i]+b[i];
  }
}
