
__kernel void vecadd_3_opt_blocks_kernel(__global const float *a,
				     __global const float *b,
				     __global float *result,
		                     const int size)
{
  int index_start = get_global_id(0);
  int index_end = size;
  int stride = get_local_size(0) * get_num_groups(0);

  for (int i=index_start; i < index_end; i+=stride) {	
    result[i] = a[i]+b[i];
  }
}
